Subject: Re: bug#76620: 30.1.50; mouse-1 mode-line bindings are unusable when point is on a button

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Feb 2025 10:27:04 +0200

> Cc: [email-masked], [email-masked]
> Date: Fri, 28 Feb 2025 09:52:10 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > 5. mouse-1 on a part of the mode-line with a mouse-1 binding; for
> >    example, mouse-1 on the buffer coding system indicator "U" at the
> >    start of the mode line.
> > 
> > 6. Instead of describing the buffer's coding system, the button at point
> >    is activated.
> > 
> > This is because mouse-1-click-follows-link translates the mouse-1 into a
> > mouse-2.  This makes all mouse-1 bindings on the mode line basically
> > broken while point is on a button.
> 
> The bugs with mouse-1 are solved on the master branch (see bug#75219).
> So I can reproduce the last two items in Emacs 30, but not in Emacs
> 31.  The problems with mouse-2 are still present on the master branch.

I've now cherry-picked that fix to the emacs-30 branch, so the issues
with mouse-1 on the mode line in this situation should be solved in
Emacs 30.2.